'use strict';

import React, { Component } from 'react';
import resList from '../../resconfig/resList';
import ViewCtrl from '../../util/viewCtrl';

import './ComGameFailed.less';

class ComGameFailed extends Component {
  constructor(props) {
    super(props);
    this.state = this.state || { resList: resList };
  }

  showIndex(){
    this.props.closeWin();
    ViewCtrl.changePage();
  }

  render() {
    return (
      <div className="chuang_guan_shi_bai10 zoom">
        <img className="dan_chuang_bei_jing14" src={this.state.resList['9dee8a6c-0fef-4d77-9b78-bfdea719b5a8'].url} />
        <img className="guan_bi_an_niu13" src={this.state.resList['28caebe0-9290-49fe-9661-ccc2c9885520'].url} onClick = {this.showIndex.bind(this)}/>
        <img className="ji_xu_an_niu" src={this.state.resList['75652f25-ad45-435f-9d66-e1d784167052'].url} onClick = {this.showIndex.bind(this)}/>
        <label className="hen_bao_qian12">很抱歉</label>
        <label className="chuang_guan_shi_bai11">闯关失败</label>
      </div>
    );
  }
}
export default ComGameFailed;
